Bug 221116 - rpmlint.0.78 requires python>=2.4
rpmlint.0.78 requires python>=2.4
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-01-01 20:30 EST by manuel wolfshant
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.79-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-02 11:07:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2007-01-01 20:30:45 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install rpmlint=0.78 on a system with python 2.3
2. Run it

Actual results:

Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 270, in ?
  File "/usr/share/rpmlint/rpmlint.py", line 52, in main
  File "/usr/share/rpmlint/rpmlint.py", line 38, in loadCheck
    imp.load_module(name, f, pathname, description)
  File "/usr/share/rpmlint/MenuXDGCheck.py", line 13, in ?
    import subprocess
ImportError: No module named subprocess

Expected results:
I would expect rpmlint-0.78*.noarch.rpm to refuse to be installed on systems
which do not have python-2.4. For now rpm -q --requires rpmlint|grep python gives:
python >= 2.0

Additional info:
Seen on centos 4.4 (which uses python-2.3.4)
Comment 1 Ville Skyttä 2007-01-01 21:04:11 EST
The intention is to keep rpmlint working on reasonably recent versions of
Python, such as that of CentOS 4.  Fixed upstream, will be in the next release:
Comment 2 manuel wolfshant 2007-01-02 20:35:46 EST
Thanks, seems to work OK.
Comment 3 Ville Skyttä 2007-01-03 11:25:06 EST
Thanks for verifying the fix, but I'll reopen this until a fixed version is
shipped in Fedora - it may help others wrestling with the same issue.
Comment 4 Ville Skyttä 2007-02-02 11:07:43 EST
Done in upcoming 0.79-1.

Note You need to log in before you can comment on or make changes to this bug.